updated setup for latest apache script dependency
[iankelling.org] / README
1 Content and automated setup of iankelling.org
2
3 * Dependencies
4
5 Requires a modern debian based OS, tested on debian 8 & 9.
6
7 Some programs need to be in PATH:
8 https://iankelling.org/git/?p=basic-https-conf;a=summary
9 https://iankelling.org/git/?p=acme-tiny-wrapper;a=summary
10 chost from
11 https://iankelling.org/git/?p=fai;a=summary
12
13
14 * Installation
15
16 I use a submodule, so git clone --recursive.
17
18 ./setup.sh
19 ./build.rb
20
21
22 * Usage notes
23
24 This repo does not include the repos under /git. In my setup,
25 under /git are links to the .git dirs of the respective repos under the
26 hardcoded directory in setup.sh: gitroot=/a/bin/githtml. These
27 directories are managed separately, mostly by rsyncing them.
28
29 Only the latest version of resume is kept in the resume branch which
30 gets rebased on master.
31
32 ./build.rb is not a generalized site generator, it has some content
33 files specific to my site that it expects.
34
35 Dates in the blog directory can be generated with date +%F
36
37
38 * Blog Comments
39
40 New comments are stored in a sqlite database. There is a system for
41 moderating, rate limiting, and handling comments based on previously
42 seen ips. See _site/cgi/comment. Comments that are not spam etc, are
43 stored to disk for git commit on the next run of build.rb.
44 get-comments, set-comments, and iank-mod.el are for moderating new
45 comments. With one emacs command, you get a buffer of the new comments,
46 with keybinds to mark them for publishing, moderatation, banning, and
47 execute changes.
48
49 * Other sites that are in some way interesting:
50
51 http://blog.zorinaq.com/release-of-hablog-and-new-design/?
52 https://mjg59.dreamwidth.org/
53 http://bettermotherfuckingwebsite.com
54 https://eduardoboucas.com/blog/2015/05/11/rethinking-the-commenting-system-for-my-jekyll-site.html
55 https://chris-lamb.co.uk/posts/concorde
56
57 * License
58
59 Non-software is cc-by-sa 4 unless stated otherwise. Software is under
60 GPLv2 or later unless stated otherwise. I'd use gplv3 or agpl, but it's
61 simpler to use the same license as the gitweb javascript.
62
63 The elisp is GPLv3 because emacs is.